pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

JVM checks in pkgsrc

I just got this error while trying to install www/apache-tomcat6

www/apache-tomcat6# bmake
ERROR: This package has set PKG_FAIL_REASON:
ERROR: no acceptable JVM found
*** Error code 1

There are 2 JVMs installed on this machine: lang/kaffe and wip/jdk15.

Jdk15 at least is fine to run this version of tomcat.

Since I'm running an amd64 system, I have locally expanded the checks
in to remove the i386 limitations on DragonFly and NetBSD.
This allowed tomcat build to continue :

-       DragonFly-*-i386 \
-       NetBSD-[2-9].*-i386
+       DragonFly-*-* \
+       NetBSD-[2-9].*-*

These checks are already made in the individual pkgsrc entries. Why are
they also in ?

Francois Tigeot

Home | Main Index | Thread Index | Old Index